> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dependencies of field mapping (flat interface)



## OpenAPI

````yaml /api-reference/membrane-api.json get /field-mappings/{selector}/dependencies
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /field-mappings/{selector}/dependencies:
    get:
      tags:
        - FieldMappings
      summary: Get dependencies of field mapping (flat interface)
      operationId: getFieldMappingDependencies
      parameters:
        - name: selector
          required: true
          in: path
          schema:
            type: string
        - name: layer
          required: false
          in: query
          schema:
            type: string
            enum:
              - universal
              - integration
              - connection
        - name: integrationKey
          required: false
          in: query
          schema:
            type: string
        - name: integrationId
          required: false
          in: query
          schema:
            type: string
        - name: connectionId
          required: false
          in: query
          schema:
            type: string
        - name: connectionKey
          required: false
          in: query
          schema:
            type: string
        - name: instanceKey
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````